Powered by Jitbit .Net Forum free trial version. dismiss

HomeProblems and issues

Post bug reports here. The forum is pre-moderated, your message will appear after being checked by us.

HTTP error 500 Messages in this topic - RSS

Cyanid
Cyanid
Posts: 2


2/26/2018
Cyanid
Cyanid
Posts: 2
Hi,
I had some problems with my SQLwallet installation and tried to reinstall the whole thing, but now I only get a "HTTP error 500" message when trying to open it.

And I really can't make sense of the log file. Could anybody please advice me what to do next?

(Find attached the log file)

Regards, Anne

Attachments:
log-20180226.txt
0 link
Gleb
Gleb
Administrator
Posts: 48


2/26/2018
Gleb
Gleb
Administrator
Posts: 48
Hi Anne

Please make sure Microsoft.NET framework 4.7 is installed on the machine.

https://www.microsoft.com/net/download/dotnet-framework-runtime/net47
0 link
chiganock
chiganock
Posts: 1


3/18/2018
chiganock
chiganock
Posts: 1
I have already installed Microsoft.NET framework 4.7. But on last version 1.4.4 I have the same problem as Anne.
0 link
Gleb
Gleb
Administrator
Posts: 48


3/22/2018
Gleb
Gleb
Administrator
Posts: 48
Hi

We are currently testing 1.4.5 addressing this problem and will release it in the next couple of days. Thank you for your patience.
0 link
Gleb
Gleb
Administrator
Posts: 48


3/22/2018
Gleb
Gleb
Administrator
Posts: 48
Please try 1.4.5 from the download page.

To upgrade please perform uninstall of the previous version of SQLwallet and make sure there is no DLL files left in the SDLwallet root folder and /refs subfolder after uninstallation.
edited by Gleb on 3/22/2018
0 link
Cyanid
Cyanid
Posts: 2


3/23/2018
Cyanid
Cyanid
Posts: 2
So: SInce last I posted my question, I have (for totally different reasons) restalled my whole computer, and today I tried again. Here's what I did, and the result:

1) I started to install SQL wallet, it insisted on installing .NET framework 4.7.1 first, which failed, so I canceled the rest of the installation
2) I tried to install .NET framework manually, and got the response ".NET framework 4.7 or later is already installed on your computer"
3) Hence I tried again SQL wallet, when it (again) failed to install .NET framework, I pressed ""yes" to continue SQL wallet installation without it
4) It installed, I rebooted and tried to surfe to localhost:88 where I still get the HTTP error 500 problem.

I have checked that the service is started and that the port really is 88. Both are OK. The log file still says it cannot find the reference assembly '.NETFramework/v4.7.."

What do I do wrong?

Anne
0 link
Gleb
Gleb
Administrator
Posts: 48


3/24/2018
Gleb
Gleb
Administrator
Posts: 48
Hi Anne

1) Are you trying the latest release 1.4.5?
2) Please send me the log file or put the full log message and stack trace here.
0 link
Gleb
Gleb
Administrator
Posts: 48


3/24/2018
Gleb
Gleb
Administrator
Posts: 48
Hi Anne

If the error is still the same as in your initial post, please manually copy the file Microsoft.CSharp.dll (and any other DLLs you may get error messages in the log about) from C:\Windows\Microsoft.NET\Framework\v4.0.30319 into SQLwallet /refs folder.

Please let me know if it worked.

I will try to reproduce the issue on a clean machine.
edited by Gleb on 3/24/2018
0 link
Gleb
Gleb
Administrator
Posts: 48


3/24/2018
Gleb
Gleb
Administrator
Posts: 48
Please try http://www.sqlwallet.com/media/1057/sqlwallet_setup-1.4.6.exe. I added the missing framework DLLs here. You might need to uninstall the previous version.

Let me know if it worked.
edited by Gleb on 3/24/2018
0 link






Powered by Jitbit Forum 8.3.8.0 © 2006-2013 Jitbit Software